EDIT - task #7248

Remove extra transaction in CdmStore.deleteBean(T bean, AbstractView view)
02/06/2018 02:54 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority10 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

transactions wrapped around CdmStore.deleteBean(T bean, AbstractView view) are a leftover of the views running in a conversation
context. Theses axtra transactions are not needed and thus are only causing an overhead.

Also check the save method for similar remains.

History

#1 - 02/06/2018 02:54 PM - Andreas Kohlbecker

- Subject changed from Remove transactions wrapped around CdmStore.deleteBean(T bean, AbstractView view) to Remove extra transaction in
CdmStore.deleteBean(T bean, AbstractView view)

#2 - 03/23/2018 11:19 AM - Andreas Kohlbecker
- Priority changed from New to Priority13

#3 - 04/09/2018 12:16 PM - Andreas Kohlbecker

- Tracker changed from bug to task

#4 - 02/19/2019 02:34 PM - Andreas Kohlbecker

- Target version changed from Vaadin Taxon Concept Editor to Reviewed Next Major Release

#5 - 02/19/2019 03:34 PM - Andreas Miiller
- Priority changed from Priority13 to Priority10
